org.apache.hadoop.lib.service

## Interface FileSystemAccess

- All Known Implementing Classes:
    FileSystemAccessService

      @InterfaceAudience.Private
      public interface FileSystemAccess

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `FileSystemAccess.FileSystemExecutor<T>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.fs.FileSystem` | `createFileSystem(String user, org.apache.hadoop.conf.Configuration conf)`
    `<T> T` | `execute(String user, org.apache.hadoop.conf.Configuration conf, FileSystemAccess.FileSystemExecutor<T> executor)`
    `org.apache.hadoop.conf.Configuration` | `getFileSystemConfiguration()`
    `void` | `releaseFileSystem(org.apache.hadoop.fs.FileSystem fs)`

- - ### Method Detail

    - #### execute

          <T> T execute(String user,
                        org.apache.hadoop.conf.Configuration conf,
                        FileSystemAccess.FileSystemExecutor<T> executor)
                 throws FileSystemAccessException

      Throws:
        `FileSystemAccessException`

    - #### createFileSystem

          org.apache.hadoop.fs.FileSystem createFileSystem(String user,
                                                           org.apache.hadoop.conf.Configuration conf)
                                                    throws IOException,
                                                           FileSystemAccessException

      Throws:
        `IOException`
        `FileSystemAccessException`

    - #### releaseFileSystem

          void releaseFileSystem(org.apache.hadoop.fs.FileSystem fs)
                          throws IOException

      Throws:
        `IOException`

    - #### getFileSystemConfiguration

          org.apache.hadoop.conf.Configuration getFileSystemConfiguration()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.